aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAstroFloyd <AstroFloyd@gmail.com>2020-01-15 11:52:30 +0100
committerAstroFloyd <AstroFloyd@gmail.com>2020-01-15 11:52:30 +0100
commitb77ef08664f84e12bc123b6b16c16f47b93877bf (patch)
treeffbeddf74a5b51b95b0a414648527208c3521273
parentsci-astronomy/libthesky: version bump to v0.4.0 (diff)
downloadAstroFloyd-b77ef08664f84e12bc123b6b16c16f47b93877bf.tar.gz
AstroFloyd-b77ef08664f84e12bc123b6b16c16f47b93877bf.tar.bz2
AstroFloyd-b77ef08664f84e12bc123b6b16c16f47b93877bf.zip
x11-libs/qwt: add ebuild for v6.1.4.
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: AstroFloyd <AstroFloyd@gmail.com>
-rw-r--r--x11-libs/qwt/ChangeLog6
-rw-r--r--x11-libs/qwt/Manifest6
-rw-r--r--x11-libs/qwt/files/qwt-6.0.2-invalid-read.patch250
-rw-r--r--x11-libs/qwt/files/qwt-6.1.1-pc-destdir.patch15
-rw-r--r--x11-libs/qwt/metadata.xml22
-rw-r--r--x11-libs/qwt/qwt-6.1.4.ebuild154
6 files changed, 453 insertions, 0 deletions
diff --git a/x11-libs/qwt/ChangeLog b/x11-libs/qwt/ChangeLog
new file mode 100644
index 0000000..1daa7af
--- /dev/null
+++ b/x11-libs/qwt/ChangeLog
@@ -0,0 +1,6 @@
+*qwt-6.1.4 (15 Jan 2020)
+
+ 15 Jan 2020; AstroFloyd <AstroFloyd@gmail.com>
+ +files/qwt-6.0.2-invalid-read.patch, +files/qwt-6.1.1-pc-destdir.patch,
+ +metadata.xml, +qwt-6.1.4.ebuild:
+ x11-libs/qwt: add ebuild for v6.1.4.
diff --git a/x11-libs/qwt/Manifest b/x11-libs/qwt/Manifest
new file mode 100644
index 0000000..598ae91
--- /dev/null
+++ b/x11-libs/qwt/Manifest
@@ -0,0 +1,6 @@
+AUX qwt-6.0.2-invalid-read.patch 9447 BLAKE2B a3a9074113cee590bae03f0a55eb6cb2800c88ad06aa989d3293c42be8945db11982c915b775dac43d773f557dbfa57f5f3abf40a0f57c4d414f4003d09f581b SHA512 e9912ec60d062bad89ecb74c0342815f8c7b351318df88120e7510e44224f52a1c89e8ab2bcafd6d8c418a7a3e67347b159d174d417cbebf4fa3377191d0f201
+AUX qwt-6.1.1-pc-destdir.patch 498 BLAKE2B 4e3fefa36daebe0c173adaae02c33a622d70cefd626998f9baf65229291be87dcd5dff175961fb2b33d794e0b3f082a36209ce682434bd3f83de6fecc585137a SHA512 a2035e27af7110a2aaf4e28f316e2c6c49b6909345ceec01eb4793ac66445594bf362fa6939506ba6d0300bde9487c83ea770299af8c3ca8d71b162cbc71e769
+DIST qwt-6.1.4.tar.bz2 4227315 BLAKE2B dd7212adb3c8fda081b1feeeb9d59b3b087deb0ef56bdbc7bb95e01992e41d5d91065f0b8aaf3337e1c66d4ad431bfb313f9b04bb2e43915f4cb21fb65725e36 SHA512 6135ce47fd4f9ff5b705193fc1f7410cfd5a0b84931bb17db750f6a5486ae810c261dae32431bd52838c36eadee02487148e1efa71c465c63aa43062eec160da
+EBUILD qwt-6.1.4.ebuild 3828 BLAKE2B 516b1dcfcc9f100f69dba56651329033e631be04ff6a9277e538effe2c0bafb1dc30d7c2757a34725fb4c762538ad1630b1e8962759c82b998c9d90066f68ce8 SHA512 aec5b065dacb7453f219d2b0eb73bd7d366db466b26b53d20893f288b8b9be8db62746f9d37b602266d83af76aaad74681921622a4fe9c3eadc8b5de5a721af6
+MISC ChangeLog 224 BLAKE2B 94859f7fbb0b36ab89071ac27e4a30407b996c9e045186a8fee9c475cdd0791c777b62adad385b29a2357aa0ec21abc8a98f43d20ba798af73c7bf4dd603e39b SHA512 d4b89ca5225b6c37cb0053528e796dd7db51cc031db81f34c815709c63e453050c545388a44d91ef1f92befd480491f02eb5cd078ffaf334a9fe741b462457a1
+MISC metadata.xml 870 BLAKE2B 1e2262a74f86901bfdb2a897fb40885880391898e60ca6ddb001ea6f7a1bca4586e2cc2c3af28b8d3f455aac4d93204efb370d491ac6749207cf584c8b08f589 SHA512 53e10079699529613ece87ae1e2908e7f7144d041f62618512d00df0b6bf9ae2c5b70afc8309cef0523e10a6605126f3ce871589c3133d64ac52db9ff7346b43
diff --git a/x11-libs/qwt/files/qwt-6.0.2-invalid-read.patch b/x11-libs/qwt/files/qwt-6.0.2-invalid-read.patch
new file mode 100644
index 0000000..a225350
--- /dev/null
+++ b/x11-libs/qwt/files/qwt-6.0.2-invalid-read.patch
@@ -0,0 +1,250 @@
+--- qwt-6.0.2-orig/textengines/mathml/qwt_mml_document.cpp 2012-12-01 00:22:46.752106265 +1100
++++ qwt-6.0.2/textengines/mathml/qwt_mml_document.cpp 2013-01-31 14:29:30.590197611 +1100
+@@ -4421,7 +4421,10 @@
+ if ( ok )
+ return value;
+ else
+- qWarning( "Could not convert %s to form", value_str.toLatin1().data() );
++ {
++ QByteArray value_str_ba = value_str.toLatin1();
++ qWarning( "Could not convert %s to form", value_str_ba.data() );
++ }
+
+ }
+
+@@ -4658,7 +4661,10 @@
+ continue;
+ }
+ else
+- qWarning( "MmlMtableNode::layoutSymbol(): could not parse value %s%%", value.toLatin1().data() );
++ {
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "MmlMtableNode::layoutSymbol(): could not parse value %s%%", value_ba.data() );
++ }
+ }
+
+ // Relatively sized column, but we failed to parse the factor. Treat is like an auto
+@@ -5167,7 +5173,8 @@
+ double factor = factor_str.toFloat( &float_ok );
+ if ( !float_ok || factor < 0 )
+ {
+- qWarning( "MmlMpaddedNode::interpretSpacing(): could not parse \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "MmlMpaddedNode::interpretSpacing(): could not parse \"%s\"", value_ba.data() );
+ return 0;
+ }
+
+@@ -5196,7 +5203,8 @@
+ unit_size = QwtMmlNode::interpretSpacing( "1" + pseudo_unit, &unit_ok );
+ if ( !unit_ok )
+ {
+- qWarning( "MmlMpaddedNode::interpretSpacing(): could not parse \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "MmlMpaddedNode::interpretSpacing(): could not parse \"%s\"", value_ba.data() );
+ return 0;
+ }
+ }
+@@ -5368,7 +5376,8 @@
+ return ( int )( em * factor );
+ else
+ {
+- qWarning( "interpretSpacing(): could not parse \"%sem\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%sem\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5384,7 +5393,8 @@
+ return ( int )( ex * factor );
+ else
+ {
+- qWarning( "interpretSpacing(): could not parse \"%sex\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%sex\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5406,7 +5416,8 @@
+ }
+ else
+ {
+- qWarning( "interpretSpacing(): could not parse \"%scm\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%scm\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5428,7 +5439,8 @@
+ }
+ else
+ {
+- qWarning( "interpretSpacing(): could not parse \"%smm\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%smm\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5450,7 +5462,8 @@
+ }
+ else
+ {
+- qWarning( "interpretSpacing(): could not parse \"%sin\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%sin\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5466,7 +5479,8 @@
+ return i;
+ else
+ {
+- qWarning( "interpretSpacing(): could not parse \"%spx\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%spx\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5478,7 +5492,8 @@
+ if ( float_ok && i >= 0 )
+ return i;
+
+- qWarning( "interpretSpacing(): could not parse \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretSpacing(): could not parse \"%s\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5503,7 +5518,8 @@
+ return ( int )( base * factor / 100.0 );
+ }
+
+- qWarning( "interpretPercentSpacing(): could not parse \"%s%%\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretPercentSpacing(): could not parse \"%s%%\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5528,7 +5544,8 @@
+ return pt_size;
+ }
+
+- qWarning( "interpretPointSize(): could not parse \"%spt\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretPointSize(): could not parse \"%spt\"", value_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return 0;
+@@ -5737,7 +5754,8 @@
+ */
+ static const QwtMmlOperSpec *searchOperSpecData( const QString &name )
+ {
+- const char *name_latin1 = name.toLatin1().data();
++ QByteArray name_latin1_ba = name.toLatin1();
++ const char *name_latin1 = name_latin1_ba.data();
+
+ // binary search
+ // establish invariant g_oper_spec_data[begin].name < name < g_oper_spec_data[end].name
+@@ -5789,7 +5807,8 @@
+ if ( spec == 0 )
+ continue;
+
+- const char *name_latin1 = name.toLatin1().data();
++ QByteArray name_ba = name.toLatin1();
++ const char *name_latin1 = name_ba.data();
+
+ // backtrack to the first instance of name
+ while ( spec > g_oper_spec_data && qstrcmp( ( spec - 1 )->name, name_latin1 ) == 0 )
+@@ -5918,7 +5937,8 @@
+ if ( ok != 0 )
+ *ok = false;
+
+- qWarning( "interpretMathVariant(): could not parse value: \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretMathVariant(): could not parse value: \"%s\"", value_ba.data() );
+
+ return QwtMml::NormalMV;
+ }
+@@ -5938,7 +5958,8 @@
+ if ( ok != 0 )
+ *ok = false;
+
+- qWarning( "interpretForm(): could not parse value \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretForm(): could not parse value \"%s\"", value_ba.data() );
+ return QwtMml::InfixForm;
+ }
+
+@@ -5959,7 +5980,8 @@
+ if ( ok != 0 )
+ *ok = false;
+
+- qWarning( "interpretColAlign(): could not parse value \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretColAlign(): could not parse value \"%s\"", value_ba.data() );
+ return QwtMml::ColAlignCenter;
+ }
+
+@@ -5984,7 +6006,8 @@
+ if ( ok != 0 )
+ *ok = false;
+
+- qWarning( "interpretRowAlign(): could not parse value \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretRowAlign(): could not parse value \"%s\"", value_ba.data() );
+ return QwtMml::RowAlignAxis;
+ }
+
+@@ -6018,7 +6041,8 @@
+ if ( ok != 0 )
+ *ok = false;
+
+- qWarning( "interpretFrameType(): could not parse value \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretFrameType(): could not parse value \"%s\"", value_ba.data() );
+ return QwtMml::FrameNone;
+ }
+
+@@ -6030,7 +6054,8 @@
+ QStringList l = value_list.split( ' ' );
+ if ( l.count() != 2 )
+ {
+- qWarning( "interpretFrameSpacing: could not parse value \"%s\"", value_list.toLatin1().data() );
++ QByteArray value_list_ba = value_list.toLatin1();
++ qWarning( "interpretFrameSpacing: could not parse value \"%s\"", value_list_ba.data() );
+ if ( ok != 0 )
+ *ok = false;
+ return QwtMml::FrameSpacing( ( int )( 0.4 * em ), ( int )( 0.5 * ex ) );
+@@ -6089,7 +6114,10 @@
+ else if ( value == "bold" )
+ fn.setBold( true );
+ else
+- qWarning( "interpretDepreciatedFontAttr(): could not parse fontweight \"%s\"", value.toLatin1().data() );
++ {
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretDepreciatedFontAttr(): could not parse fontweight \"%s\"", value_ba.data() );
++ }
+ }
+
+ if ( font_attr.contains( "fontstyle" ) )
+@@ -6100,7 +6128,10 @@
+ else if ( value == "italic" )
+ fn.setItalic( true );
+ else
+- qWarning( "interpretDepreciatedFontAttr(): could not parse fontstyle \"%s\"", value.toLatin1().data() );
++ {
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretDepreciatedFontAttr(): could not parse fontstyle \"%s\"", value_ba.data() );
++ }
+ }
+
+ if ( font_attr.contains( "fontfamily" ) )
+@@ -6150,7 +6181,8 @@
+
+ if ( ok != 0 )
+ *ok = false;
+- qWarning( "interpretMathSize(): could not parse mathsize \"%s\"", value.toLatin1().data() );
++ QByteArray value_ba = value.toLatin1();
++ qWarning( "interpretMathSize(): could not parse mathsize \"%s\"", value_ba.data() );
+ return fn;
+ }
+
diff --git a/x11-libs/qwt/files/qwt-6.1.1-pc-destdir.patch b/x11-libs/qwt/files/qwt-6.1.1-pc-destdir.patch
new file mode 100644
index 0000000..f00ea60
--- /dev/null
+++ b/x11-libs/qwt/files/qwt-6.1.1-pc-destdir.patch
@@ -0,0 +1,15 @@
+ textengines/mathml/mathml.pro | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/textengines/mathml/mathml.pro b/textengines/mathml/mathml.pro
+index 7032366..b1372f7 100644
+--- a/textengines/mathml/mathml.pro
++++ b/textengines/mathml/mathml.pro
+@@ -63,6 +63,7 @@ contains(QWT_CONFIG, QwtPkgConfig) {
+
+ # QMAKE_PKGCONFIG_DESTDIR is buggy, in combination
+ # with including pri files: better don't use it
++ QMAKE_PKGCONFIG_DESTDIR = pkgconfig
+
+ greaterThan(QT_MAJOR_VERSION, 4) {
+
diff --git a/x11-libs/qwt/metadata.xml b/x11-libs/qwt/metadata.xml
new file mode 100644
index 0000000..5fa8612
--- /dev/null
+++ b/x11-libs/qwt/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription lang="en">
+ The Qwt library contains GUI Components and utility classes which are
+ primarily useful for programs with a technical background.
+ Besides a 2D plot widget it provides scales, sliders, dials,
+ compasses, thermometers, wheels and knobs to control or display
+ values, arrays or ranges of type double.
+</longdescription>
+ <use>
+ <flag name="designer">Installs <pkg>dev-qt/designer</pkg> plugin.</flag>
+ <flag name="mathml">Use the MathML renderer of the Qt solutions package.</flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">qwt</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/x11-libs/qwt/qwt-6.1.4.ebuild b/x11-libs/qwt/qwt-6.1.4.ebuild
new file mode 100644
index 0000000..5aaa976
--- /dev/null
+++ b/x11-libs/qwt/qwt-6.1.4.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multibuild qmake-utils
+
+MY_P="${PN}-${PV/_/-}"
+
+DESCRIPTION="2D plotting library for Qt5"
+HOMEPAGE="http://qwt.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${PV/_/-}/${MY_P}.tar.bz2"
+
+LICENSE="qwt mathml? ( LGPL-2.1 Nokia-Qt-LGPL-Exception-1.1 )"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+SLOT="6/1.4"
+IUSE="designer doc examples mathml opengl static-libs svg"
+
+DEPEND="
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtwidgets:5
+ designer? ( dev-qt/designer:5 )
+ opengl? (
+ dev-qt/qtopengl:5
+ virtual/opengl
+ )
+ svg? ( dev-qt/qtsvg:5 )
+"
+RDEPEND="${DEPEND}
+ !<x11-libs/qwt-5.2.3
+ !x11-libs/qwt:5[doc]
+ doc? ( !<media-libs/coin-3.1.3[doc] )
+"
+
+S="${WORKDIR}"/${MY_P}
+
+DOCS=( CHANGES-6.1 README )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-6.0.2-invalid-read.patch
+ "${FILESDIR}"/${PN}-6.1.1-pc-destdir.patch
+)
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( shared $(usev static-libs) )
+}
+
+src_prepare() {
+ cat > qwtconfig.pri <<-EOF
+ QWT_INSTALL_LIBS = "${EPREFIX}/usr/$(get_libdir)"
+ QWT_INSTALL_HEADERS = "${EPREFIX}/usr/include/qwt6"
+ QWT_INSTALL_DOCS = "${EPREFIX}/usr/share/doc/${PF}"
+ QWT_CONFIG += QwtPlot QwtWidgets QwtPkgConfig
+ VERSION = ${PV/_*}
+ QWT_VERSION = ${PV/_*}
+ EOF
+
+ use designer && echo "QWT_CONFIG += QwtDesigner" >> qwtconfig.pri
+ use mathml && echo "QWT_CONFIG += QwtMathML" >> qwtconfig.pri
+ use opengl && echo "QWT_CONFIG += QwtOpenGL" >> qwtconfig.pri
+ use svg && echo "QWT_CONFIG += QwtSvg" >> qwtconfig.pri
+
+ cat > qwtbuild.pri <<-EOF
+ QWT_CONFIG += qt warn_on thread release no_keywords
+ EOF
+
+ multibuild_copy_sources
+
+ preparation() {
+ if [[ ${MULTIBUILD_VARIANT} == shared ]]; then
+ echo "QWT_CONFIG += QwtDll" >> qwtconfig.pri
+ fi
+
+ cat >> qwtconfig.pri <<-EOF
+ QWT_INSTALL_PLUGINS = "${EPREFIX}$(qt5_get_plugindir)/designer"
+ QWT_INSTALL_FEATURES = "${EPREFIX}$(qt5_get_mkspecsdir)/features"
+ EOF
+ sed \
+ -e 's/target doc/target/' \
+ -e "/^TARGET/s:(qwt):(qwt6-qt5):g" \
+ -e "/^TARGET/s:qwt):qwt6-qt5):g" \
+ -i src/src.pro || die
+
+ sed \
+ -e '/qwtAddLibrary/s:(qwt):(qwt6-qt5):g' \
+ -e '/qwtAddLibrary/s:qwt):qwt6-qt5):g' \
+ -i qwt.prf designer/designer.pro examples/examples.pri \
+ textengines/mathml/qwtmathml.prf textengines/textengines.pri || die
+
+ default
+ }
+
+ multibuild_foreach_variant run_in_build_dir preparation
+}
+
+src_configure() {
+ multibuild_foreach_variant run_in_build_dir eqmake5
+}
+
+src_compile() {
+ multibuild_foreach_variant run_in_build_dir default
+}
+
+src_test() {
+ testing() {
+ cd examples || die
+ eqmake5 examples.pro
+ emake
+ }
+ multibuild_foreach_variant run_in_build_dir testing
+}
+
+src_install () {
+ rm -f doc/man/*/{_,deprecated}* || die
+
+ multibuild_foreach_variant run_in_build_dir emake INSTALL_ROOT="${D}" install
+
+ if use mathml; then
+ sed \
+ -e "s: -L\"${WORKDIR}\".* -lqwt6: -lqwt6:g" \
+ -i "${ED}"/usr/$(get_libdir)/pkgconfig/qwtmathml.pc || die
+ fi
+
+ if use doc; then
+ HTML_DOCS=( doc/html/. )
+ else
+ rm -rf "${ED}"/usr/share/doc/${PF}/html || die
+ fi
+
+ einstalldocs
+
+ mkdir -p "${ED}"/usr/share/man/ || die
+ mv "${ED}"/usr/share/doc/${PF}/man/man3 "${ED}"/usr/share/man/ && \
+ rmdir "${ED}"/usr/share/doc/${PF}/man || die
+
+ if use examples; then
+ # don't build examples - fix the qt files to build once installed
+ cat > examples/examples.pri <<-EOF
+ include( qwtconfig.pri )
+ TEMPLATE = app
+ MOC_DIR = moc
+ INCLUDEPATH += "${EPREFIX}/usr/include/qwt6"
+ DEPENDPATH += "${EPREFIX}/usr/include/qwt6"
+ LIBS += -lqwt6
+ EOF
+ sed -i -e 's:../qwtconfig:qwtconfig:' examples/examples.pro || die
+ cp *.pri examples/ || die
+ insinto /usr/share/${PN}6
+ doins -r examples
+ fi
+}